## org.eclipse.datatools.modelbase.sql.statements
Interface SQLStatementsFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SQLStatementsFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLStatementsPackage`

Field Summary
`static SQLStatementsFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`SQLStatementDefault` `createSQLStatementDefault()` Returns a new object of class 'SQL Statement Default'.
`SQLStatementsPackage` `getSQLStatementsPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SQLStatementsFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSQLStatementDefault

    SQLStatementDefault createSQLStatementDefault()

  Returns a new object of class 'SQL Statement Default'.

  Returns:
    a new object of class 'SQL Statement Default'.

### getSQLStatementsPackage

    SQLStatementsPackage getSQLStatementsPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.